package com.xxfc.platform.vehicle.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 接收车型查询条件
 */
@Data
public class VehicleModelQueryCondition implements Serializable {
    private static final long serialVersionUID = 1L;
    //主键
    @ApiModelProperty("主键")
    private Integer id;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "配置")
    private List<String> config;


    @ApiModelProperty(value = "关键字id")
    private List<String> keyword;


    @ApiModelProperty(value = "房车展示")
    private String modelShow;


    @ApiModelProperty(value = "参数")
    private List<String> modelParam;

    //价格
    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    //价格
    @ApiModelProperty(value = "押金")
    private BigDecimal deposit;

    //创建时间
    @ApiModelProperty(value = "创建时间", hidden = true )
    private Date crtTime;

    //创建者id
    @ApiModelProperty(value = "创建者id")
    private Integer crtUser;

    //创建者名称
    @ApiModelProperty(value = "创建者名称")
    private String crtName;

    //创建者host
    @Column(name = "crt_host")
    @ApiModelProperty(value = "创建者host")
    private String crtHost;

    //修改时间
    @ApiModelProperty(value = "修改时间", hidden = true )
    private Date updTime;

    //修改者
    @ApiModelProperty(value = "修改者")
    private Integer updUser;

    //修改者名称
    @ApiModelProperty(value = "修改者名称")
    private String updName;

    //修改者host
    @ApiModelProperty(value = "修改者host")
    private String updHost;

    //评分
    @ApiModelProperty(value = "评分")
    private Integer score;


    @ApiModelProperty(value = "车辆总数")
    private Integer  sum;


    @ApiModelProperty(value = "可租借数量")
    private Integer leasableQuantity;
}
